Skip to main content
System Global/Garbage Collection
GETGarbage CollectionSince 0.6SynchronousAuth Required

Query GC Job

Query GC Job

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null when the operation succeeds. See error for details

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      The root error that caused the current error. If no root error exists, this field is null

  • inventoriesListRequired

    See inventories for details

    • uuidStringRequired

      The UUID of the resource. Uniquely identifies the resource

    • nameStringRequired

      Resource name

    • runnerClassStringRequired

      No description provided.

    • contextStringRequired

      上下文。

    • statusStringRequired

      状态信息。

    • managementNodeUuidStringRequired

      管理节点UUID。

    • typeStringRequired

      类型。

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

Endpoint

GET/zstack/v1/gc-jobs

/zstack/v1/gc-jobs

Operation ID

QueryGCJob

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/gc-jobs' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "c7606f2ed20b4212aa3d1ce4e00acc1c", "name": "TestGC", "type": "TimeBased", "createDate": "Jun 7, 2017 9:21:16 PM", "lastOpDate": "Jun 7, 2017 9:21:16 PM" } ] }

Change History

This API has no change history records yet.

View all change history